%define name sgsearch
%define version 1.1.7
%define release %mkrel 1

Summary:  GUI to 'find' and 'grep' for searching files
Name:     %name
Version:  %version
Release:  %release
URL:      http://sallu.tuxfamily.org/Home
License:  CeCILL 
Group:    File tools
Source0:  http://sallu.tuxfamily.org/Home/%name-%version.tar.xz
BuildRoot: %_tmppath/%name-%version-%release-buildroot
BuildRequires: gtk2-devel cmake


%description
SGSearch: a simple GUI to 'find' and 'grep' for searching files.
 
Features:
- search for files with 'find'
- search for files contents with 'grep'
- open founded files with default application or text-editor 
(create a link from your favorite text-editor), 
or open directory containing file

%prep
%setup -q

%build
cmake -DCMAKE_INSTALL_PREFIX=/usr

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

# menu entry
mkdir -p %buildroot%_datadir/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=SGSearch 
Categories=GTK;Utility;X-MandrivaLinux-System-FileTools;
Type=Application
Terminal=false
Comment=GUI to 'find' and 'grep' for searching files
Exec=%{name}
Icon=%{name}
EOF

# menu icon
mkdir -p %buildroot%_datadir/pixmaps
install -m 644 src/%name.png %buildroot%_datadir/pixmaps/%name.png
convert %buildroot%_datadir/pixmaps/%name.png -resize 48 \
%buildroot%_datadir/pixmaps/%name.png
%find_lang %name

#remove
rm -rf %buildroot/usr/doc

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %name.lang
%defattr(-,root,root)
%doc doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%_datadir/pixmaps/%name.png

%changelog
* Sun Jan 31 2016 bb <bb> 1.1.7-1pclos2016
- update

* Thu May 20 2010 slick50 <lxgator@gmail.com> 1.1.2-1pclos2010
- initial build


